#!/usr/bin/perl

use charnames ();

binmode(STDOUT, ":utf8");

# cjk-compatibility-ideograph f900-fad9, 2f800-2FA1D
# linear b: b008-
# Unicode 5.0: 0000-E01EF
for ($i=0; $i < 0x1D7FF ; $i++) {
  my $name = charnames::viacode($i);
  if ($name and ($i != 32) and ($i < 9 or $i > 11) and ($i < 0xf900 or $i > 0xfad9))
    { $name =~ s/ /-/g;
      $name =~ tr/A-Z/a-z/;
      # sprintf("%x",$i), "\t", 
      print $name, "\t", pack("U", $i), "\n";
    }
  }
